<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 35.90</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM=" crossorigin="anonymous"></script>
</head>

<script>
    const vBASE_URL = "https://jsonplaceholder.typicode.com/albums/3/photos";
    $(document).ready(function(){
        callAPIAlbumToTable();
    })

    function callAPIAlbumToTable(){
        $.ajax({
            url: vBASE_URL,
            type: "GET",
            success: function(res){
                loadAlbumToTable(res);
                console.log(res)
            },
            error: function(error){
                console.log(error);
            }
        })
    }

    function loadAlbumToTable(listAlbum){
        var vTableBody = $("#album-table").find("tbody");
            for(var i in listAlbum){
                var newRow = $("<tr>").appendTo(vTableBody);
                    $("<td>",{
                        html: listAlbum[i].id
                    }).appendTo(newRow)
                    $("<td>",{
                        html: listAlbum[i].albumId
                    }).appendTo(newRow)
                    $("<td>",{
                        html: listAlbum[i].title
                    }).appendTo(newRow)
                    $("<td>",{
                        html: listAlbum[i].url
                    }).appendTo(newRow)
                    $("<td>",{
                        html: `<img src="${listAlbum[i].thumbnailUrl}">`
                    }).appendTo(newRow)

            }
    }
</script>
<body>
    <div class="container">
        <div class="my-4">
            <h2 class="text-center">DANH SÁCH ẢNH CỦA ALBUM SỐ 3</h2>
        </div>
        <table id="album-table" class="table table-hover table-striped table-bordered table-primary">
            <thead class="">
                <tr>
                    <th>STT</th>
                    <th>Album</th>
                    <th>Title</th>
                    <th>Url ảnh</th>
                    <th>Thumbnail</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
</html>